#
# spec file for package opus-tools
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2012 Bjørn Lie (zaitor@opensuse.org).
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           opus-tools
Version:        0.2
Release:        1.29
Summary:        A set of tools for the opus audio codec
License:        BSD-2-Clause AND GPL-2.0-only
Group:          Productivity/Multimedia/Sound/Editors and Convertors
URL:            http://www.opus-codec.org/
Source:         http://downloads.xiph.org/releases/opus/%{name}-%{version}.tar.gz
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(flac) >= 1.1.3
BuildRequires:  pkgconfig(libopusenc) >= 0.2
BuildRequires:  pkgconfig(ogg) >= 1.3
BuildRequires:  pkgconfig(opus)
BuildRequires:  pkgconfig(opusfile) >= 0.5

%description
The Opus codec is designed for interactive speech and audio transmission over
the Internet. It is designed by the IETF Codec Working Group and incorporates
technology from Skype's SILK codec and Xiph.Org's CELT codec.

This is a set of tools for the opus codec.

%prep
%setup -q

%build
%configure \
  --disable-silent-rules
make %{?_smp_mflags}

%install
%make_install

%files
%license COPYING
%doc AUTHORS
%{_bindir}/opusdec
%{_bindir}/opusenc
%{_bindir}/opusinfo
%{_mandir}/man1/opus*.1%{?ext_man}

%changelog
* Thu Sep 20 2018 Tomáš Chvátal <tchvatal@suse.com>
- Version update to 0.2:
  * Opus decoder opusdec has been converted to use the opusfile library
  * Opus encoder opusenc has been converted to use the libopusenc library
* Mon May 29 2017 zaitor@opensuse.org
- Update to version 0.1.10:
  + This release includes several bug fixes, including security
    fixes in opusenc, as well as a few minor enhancements.
  - opusenc:
    . Improved handling of malformed input files to avoid crashes
    and other troublesome behavior.
    . Percent progress is shown while encoding.
  - opusrtp: New --extract option to extract from input pcap
    file.
* Thu Dec 18 2014 zaitor@opensuse.org
- Update to version 0.1.9:
  + Add support in opusdec to write out 32-bit floating-point.
  + opusrtp: fix memory leaks.
  + Misc minor bugfixes.
* Thu Feb 13 2014 reddwarf@opensuse.org
- Update to version 0.1.8:
  + Fix a memory corruption bug with FLAC album art handling
* Sat Sep 14 2013 zaitor@opensuse.org
- Update to version 0.1.7:
  + Numerous build fixes.
  + Support encoding from FLAC files.
  + Metadata tag support, including album art.
  + Use the new surround encoder API in opus 1.0.3.
  + The opusenc --uncoupled switch no longer works.
- Add pkgconfig(flac) BuildRequires, new dependency.
* Sun Jan 13 2013 zaitor@opensuse.org
- Update to version 0.1.6:
  + This release includes many build fixes, as well as some minor
    correctness improvements. The opusenc --uncoupled switch is no
    longer advertised because this debugging option was being
    mistaken for a quality enhancement.
  + An experiemental opusrtp tool is new in this release. It is not
    installed by default because it's of limited usefulness, mostly
    for debugging other RTP implementations. It can send an Opus
    file over RTP or record a packet stream to an Opus file, on
    POSIX systems.
- Not enabling build of opusrtp, since it's still experimental.
* Sun Sep 23 2012 zaitor@opensuse.org
- Initial package, version 0.1.5
